#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define subrel 1
%define rel 1

Summary:        KDE Frameworks 5 Tier 3 solution for password management
Name:           kwallet
Version: 5.114.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  libgcrypt-devel

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KF5Notifications) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5Auth) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5GuiAddons) >= %version
BuildRequires:  cmake(KF5ItemViews) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version

BuildRequires:  cmake(Qca-qt5)

BuildRequires:  boost-devel
BuildRequires:  gpgme-devel

Requires:       kauth
Requires:       pinentry-qt5
Requires:       openssh-askpass-qt5
# mga#32712
Requires:       qca-qt5

%description
KDE Frameworks 5 Tier 3 solution for password management.

%files -f %{name}d5.lang
%_kf5_categoriesdir/kwallet.*categories
%_kf5_bindir/kwalletd5
%_kf5_bindir/kwallet-query
%_kf5_datadir/dbus-1/services/*.service
%_kf5_datadir/kservices5/kwalletd5.desktop
%_kf5_mandir/man1/kwallet-query.1.*
%_kf5_applicationdir/org.kde.kwalletd5.desktop
%_kf5_knotificationsdir/kwalletd5.notifyrc

#--------------------------------------------------------------------

%define kf5wallet_major 5
%define libkf5wallet %mklibname kf5wallet %{kf5wallet_major}

%package -n %libkf5wallet
Summary:        KDE Frameworks 5 Tier 3 solution for password management
Group:          System/Libraries

%description -n %libkf5wallet
KDE Frameworks 5 Tier 3 solution for password management.

%files -n %libkf5wallet
%_kf5_libdir/libKF5Wallet.so.%{kf5wallet_major}{,.*}

#--------------------------------------------------------------------

%define kf5walletbackend5_major 5
%define libkf5walletbackend5 %mklibname kf5walletbackend5 %{kf5walletbackend5_major}

%package -n %libkf5walletbackend5
Summary:        KDE Frameworks 5 Tier 3 solution for password management
Group:          System/Libraries

%description -n %libkf5walletbackend5
KDE Frameworks 5 Tier 3 solution for password management.

%files -n %libkf5walletbackend5
%_kf5_libdir/libkwalletbackend5.so.%{kf5walletbackend5_major}{,.*}

#--------------------------------------------------------------------

%define kf5wallet_devel %mklibname kf5wallet -d

%package -n %kf5wallet_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5wallet = %version-%release
Requires:       %libkf5walletbackend5 = %version-%release
Provides:       %name-devel = %{version}-%{release}
Requires:       cmake(KF5Config) = %version
Requires:       cmake(KF5WindowSystem) = %version
Requires:       pkgconfig(Qt5Core)

%description -n %kf5wallet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5wallet_devel
%_kf5_includedir/KWallet/
%_kf5_libdir/cmake/KF5Wallet/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.KWallet.xml

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name}d5 --all-name


%changelog
* Tue Mar 05 2024 daviddavid <daviddavid> 5.114.0-1.1.mga9
+ Revision: 2047735
- add missing runtime dependency on qca-qt5 (mga#32712)
+ neoclust <neoclust>
- New version 5.114.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952076
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947879
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941385
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935035
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922286
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911650
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900254
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887690
- New version 5.98.0

* Mon Aug 29 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1882032
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871736
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853256
- New version 5.93.0

* Thu Apr 07 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1847622
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754864
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749116
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747075
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735297
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723490
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714884
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702062
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691154
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653370
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633221
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625646
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612743
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603125
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592820
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582046
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566537
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556714
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546775
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486850
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466259
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457644
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451026
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444838
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420491
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386967
- New version 5.57.0

* Sun Mar 31 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382987
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374598
- New version 5.56.0

* Sun Feb 10 2019 daviddavid <daviddavid> 5.55.0-2.mga7
+ Revision: 1364837
- rebuild for arm

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364568
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356691
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339247
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318994
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298687
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1248474
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229282
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192313
- New version 5.42.0

* Thu Dec 28 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1186140
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161269
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140431
- New version 5.37.0
- Add pinentry-qt5 as require (mga#21222)

* Tue Aug 01 2017 pterjan <pterjan> 5.36.0-2.mga7
+ Revision: 1133594
- Fix for new find_lang

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123532
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088995
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074567
- New version 5.29.0

* Fri Dec 09 2016 neoclust <neoclust> 5.28.0-3.mga6
+ Revision: 1073880
- Remove old/unused BR ( thanks david_david)

* Fri Dec 09 2016 neoclust <neoclust> 5.28.0-2.mga6
+ Revision: 1073878
- Rebuild against new QGpgme

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072231
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058386
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050563
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049212
- enable KF5Gpgmepp support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045141
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041363
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021961
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014371
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999661
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986354
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942280
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921307
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913073
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909896
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900619
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899363
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898951
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888191
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881415
- New version 5.14.0

* Mon Sep 14 2015 fwang <fwang> 5.13.0-6.mga6
+ Revision: 879065
- rebuild for new libgcrypt

* Fri Aug 21 2015 neoclust <neoclust> 5.13.0-5.mga6
+ Revision: 867388
- Add kauth as a runtime deps

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-4.mga6
+ Revision: 863500
- Rebuild against fixed kf5-macros

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-3.mga6
+ Revision: 863435
- Workaround dbus interface error

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862976
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862678
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Wed Jul 15 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 854236
- New version 5.12.0

* Fri Jun 26 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 844566
- New version 5.11.0

* Mon Feb 23 2015 lmenut <lmenut> 5.5.0-3.mga5
+ Revision: 816643
- add upstream patch to fix random wallet open failure when updating
  (bko#343718)

* Mon Jan 12 2015 lmenut <lmenut> 5.5.0-2.mga5
+ Revision: 810190
- add patches from kwallet 5.6.0 to CVE-2013-7252 (mga#14997)
  fix kwalletd CBC encryption handling

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803936
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 748597
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681245
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660974
- New version 5.1.0

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655209
- Rebuild against new kf5 macros

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651844
- New version 5.0.0

* Sat Apr 05 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 612169
- New version
- Rename as upstream

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599872
- New version 4.97.0
- New version 4.97.0

* Wed Feb 19 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594677
- imported package kwallet-framework

